#pragma once 
#include "B4RDefines.h"
#include <ESP8266httpUpdate.h>

//~version: 1.00
namespace B4R {
       
	//~shortname: ESP8266OTA
  //~Author - A.Dalebout
	class B4RESP8266OTA {  
  public:           
  //~hide
  static B4RString* StringToB4R(String* s);
  //tries to update the ESP8266 over http
  //if reboot set to true the ESP will restart after successful update
  //if reboot set to false you can execute some code like a update notification
  // after that you musst restart the esp manually that the update becomes active 
  B4RString* HTTPUpdate(B4RString* server,bool reboot);
  //tries to update the ESP8266 over http
  //if reboot set to true the ESP will restart after successful update
  //if reboot set to false you can execute some code like a update notification
  // after that you musst restart the esp manually that the update becomes active 
  B4RString* HTTPUpdate2(B4RString* server,int port, B4RString* filename,bool reboot);
  //restart the ESP8266 so that the update becomes active
  void ESPRestart(void);
};  
}    